/*---------------------------------------------------------*
 | Author:  Maurizio Loreti, aka MLO or I3NOO.             |
 | Address: University of Padova - Department of Physics   |
 |          Via F. Marzolo, 8 - 35131 PADOVA - Italy       |
 | Phone:   (39)(49) 844-313         FAX: (39)(49) 844-245 |
 | E-Mail:  LORETI at IPDINFN (BITNET); or VAXFPD::LORETI  |
 |         (DECnet) - VAXFPD is node 38.257 i.e. 39169; or |
 |          LORETI@PADOVA.INFN.IT (INTERNET).              |
 | Home: Via G. Donizetti 6 - 35010 CADONEGHE (PD) - Italy |
 *---------------------------------------------------------*/

/**
 | Global variables
**/

struct IntuitionBase *IntuitionBase = NULL;
struct GfxBase *GfxBase             = NULL;
struct ReqBase *ReqBase             = NULL;

struct Window *Wind = NULL;

PrintIO *printPort = NULL;
PrintIO *IOrequest = NULL;

struct ReqFileRequester fr;             /* File requester */

Boolean FromCLI;                        /* Called from CLI or Workbench */
Boolean PrinterOpened;                  /* "Printer device opened" flag */

BYTE Orientation        = PORTRAIT;     /* Print default:  Courier,  10 */
BYTE Style              = ROMAN;        /*   cpi pitch, letter quality, */
short Pitch             = P10CPI;       /*     portrait,  roman, 6 lpi, */
short Font              = COURIER;      /*       12pt high characters.  */
BYTE Height             = 12;
BYTE Lpi                = 6;
BYTE Quality            = LETTER_Q;
short PageMode          = SINGLE_PAGE;
short nBlanks           = 0;            /* No leading blanks */
short nTabs             = 8;            /* Tab stops every 8 characters */

FILE *fp;                               /* Current input file pointer */
char inBuffer[LINE_LENGTH];             /* Input buffer, and      */
char *Buffer = inBuffer;                /*   our pointer into it. */
int bufferLength = LINE_LENGTH;         /* Length of the output buffer */
PageBuffer *pPB;                        /* Page buffer (2-page mode) */
short ThisLine;                         /* Line in the page */
